
import overlayStyles from '../../../../../../../common/components/shared/overlay/styles.css'
import QuizTitleShow from '../index'

describe('Quiz Title Show', () => {
  const QuizTitleShowWithContext = withContext(QuizTitleShow)
  const testbed = createTestbed(QuizTitleShowWithContext, {})

  shouldRenderComponent(
    testbed, {}, QuizTitleShowWithContext
  )

  it('should render the overlay component', () => {
    testbed.render({})
    const overlayComponent = testbed.findChildrenByClass(
      overlayStyles.overlay
    )[0]

    expect(overlayComponent).to.not.be.undefined()
  })

  describe('a11y tests', () => {
    it('should meet a11y standards', (done) => {
      testbed.render()
      testbed.checkA11yStandards(done)
    })
  })
})
